/*
Izdelaj aplikacijo, napolni tabelo dimenzije N X N (dvodimenzionalna tabela) z 
naključnimi vrednostimi enobitne spremenljivke. Predhodno v vnosno polje 
uporabnik vpiše dimenzijo tabele. Ob pritisku na gumb izpis se izpiše 
tabela v dimenziji n x n (stolpci in vrstice tabele so enaki). Izpiše se tudi 
tabela z bitnimi vrednostimi. Aplikacija izpiše tudi koliko je vrednosti 
"true" in koliko je vrednosti "false".  Aplikacija naj ima tudi gumb 
reset, ki vse resetira (prikazovalnik).
 */
package newpackage1;

import java.awt.Toolkit;

/**
 *
 * @author En Mržek
 */
public class npn_vaja8 extends javax.swing.JFrame {

    int velikostTabi = 0;
    int velikostTabj = 0;
    int[][] table = new int[0][0];


    public npn_vaja8() {
        initComponents();
        ikona();
        resetAll();
    }

    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        btnIzpis = new javax.swing.JButton();
        jScrollPane1 = new javax.swing.JScrollPane();
        izpisField = new javax.swing.JTextArea();
        fieldTab2 = new javax.swing.JTextField();
        btnTab = new javax.swing.JButton();
        fieldTab1 = new javax.swing.JTextField();
        btnReset = new javax.swing.JButton();

        setTitle("npn Vaja8");

        btnIzpis.setText("IZPIS VSEH VREDNOSTI");
        btnIzpis.setEnabled(false);
        btnIzpis.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnIzpisActionPerformed(evt);
            }
        });

        izpisField.setColumns(20);
        izpisField.setRows(5);
        jScrollPane1.setViewportView(izpisField);

        fieldTab2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                fieldTab2ActionPerformed(evt);
            }
        });

        btnTab.setText("POTRDI VELIKOST TABELE");
        btnTab.setEnabled(false);
        btnTab.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnTabActionPerformed(evt);
            }
        });

        fieldTab1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                fieldTab1ActionPerformed(evt);
            }
        });

        btnReset.setText("RESETIRAJ");
        btnReset.setEnabled(false);
        btnReset.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnResetActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 252, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(18, 18, 18)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(btnIzpis)
                            .addComponent(btnReset)))
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(fieldTab1, javax.swing.GroupLayout.PREFERRED_SIZE, 97, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(45, 45, 45)
                        .addComponent(fieldTab2, javax.swing.GroupLayout.PREFERRED_SIZE, 107, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(18, 18, 18)
                        .addComponent(btnTab)))
                .addContainerGap(160, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(29, 29, 29)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(fieldTab2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(fieldTab1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(btnTab))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(btnIzpis)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(btnReset))
                    .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 345, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(57, Short.MAX_VALUE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void btnIzpisActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnIzpisActionPerformed
        btnTab.setEnabled(false);
        btnIzpis.setEnabled(false);
        btnReset.setEnabled(true);
        
        int bool_true = 0;
        int bool_false = 0;
        
        for(int i=0; i<=velikostTabi-1; i++) {
            for(int j=0; j<=velikostTabj-1; j++) {
                
                izpisField.append(table[i][j]+", ");
                if (table[i][j] == 1) {
                    bool_true++;
                } else {
                    bool_false++;
                }
            }
            izpisField.append("\n");
        }
        izpisField.append("\n\n");
        izpisField.append("Total counter \n");
        izpisField.append("True:  "+bool_true+"\n");
        izpisField.append("False: "+bool_false+"\n");
        
    }//GEN-LAST:event_btnIzpisActionPerformed

    private void btnTabActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnTabActionPerformed
        btnTab.setEnabled(false);
        btnIzpis.setEnabled(true);
        btnReset.setEnabled(false);
        
        velikostTabi = Integer.parseInt(fieldTab1.getText());
        velikostTabj = Integer.parseInt(fieldTab2.getText());
        table = new int[velikostTabi][velikostTabj];
        
        for(int i=0; i<=velikostTabi-1; i++) {
            for(int j=0; j<=velikostTabj-1; j++) {
                table[i][j] = (int)(Math.random()*(1-0+1)+0);
            }
        }
        
        
    }//GEN-LAST:event_btnTabActionPerformed

    private void fieldTab2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_fieldTab2ActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_fieldTab2ActionPerformed

    private void fieldTab1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_fieldTab1ActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_fieldTab1ActionPerformed

    private void btnResetActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnResetActionPerformed
            resetAll();
    }//GEN-LAST:event_btnResetActionPerformed

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new npn_vaja8().setVisible(true);
            }
        });
    }
    public void resetAll() {
        // Onemogočimo vpisna polja ter gumbe
        fieldTab1.setEnabled(true);
        fieldTab2.setEnabled(true);

        btnTab.setEnabled(true);
        btnReset.setEnabled(false);

        // Resetiramo vrednost polj
        fieldTab1.setText(null);
        fieldTab2.setText(null);
        izpisField.setText(null);

        // Resetiramo nastavljene vrednosti
        velikostTabi = 0;
        velikostTabj = 0;
        table = new int[0][0];
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnIzpis;
    private javax.swing.JButton btnReset;
    private javax.swing.JButton btnTab;
    private javax.swing.JTextField fieldTab1;
    private javax.swing.JTextField fieldTab2;
    private javax.swing.JTextArea izpisField;
    private javax.swing.JScrollPane jScrollPane1;
    // End of variables declaration//GEN-END:variables
    private void ikona() {
        setIconImage(Toolkit.getDefaultToolkit().getImage(getClass().getResource("favicon.png")));
    }
}
