/*
Izdelaj aplikacijo, ki polni enodimenzionalno tabelo velikosti 8 
z naključnimi števili od 1 do 6 vsake 2 sekundi. Napolnjena tabela 
se tudi vsake dve sekundi izpisuje v elementu "Text Area" 
(v eni vrstici ločeno z vejico). 
 */
package newpackage1;

import java.awt.Color;
import java.awt.Toolkit;
import java.util.Date;
import java.util.TimerTask;

/**
 *
 * @author En Mržek
 */
public class npn_vaja10 extends javax.swing.JFrame {

    java.util.Timer casovnik = new java.util.Timer();


    public npn_vaja10() {
        initComponents();
        ikona();
        casovna_prekinitev();
    }

    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jScrollPane1 = new javax.swing.JScrollPane();
        area = new javax.swing.JTextArea();

        setTitle("npn Vaja10");

        area.setColumns(20);
        area.setRows(5);
        jScrollPane1.setViewportView(area);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(66, 66, 66)
                .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 284, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(246, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(86, 86, 86)
                .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 251, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(123, Short.MAX_VALUE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new npn_vaja10().setVisible(true);
            }
        });
    }
    
    private void casovna_prekinitev() {
        long zakasnitev = 2000;  // perioda v ms
        casovnik.scheduleAtFixedRate(new TimerTask() {
            public void run() {
                int tableSize = 8;
                int table[] = new int[tableSize];
                for (int i=0;i<=tableSize-1;i++) {
                    int s=(int)(Math.random()*(6-1+1)+6);
                    table[i] = s;
                }
                area.setText(null);
                for (int i=0;i<=tableSize-1;i++) {
                    if (i == (tableSize-1)){
                        area.append(table[i]+"\n");
                    } else {
                        area.append(table[i]+",\n");
                    }
                }
                area.append("\n");
                
            }
        }, new Date(), zakasnitev);
    }


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JTextArea area;
    private javax.swing.JScrollPane jScrollPane1;
    // End of variables declaration//GEN-END:variables
    private void ikona() {
        setIconImage(Toolkit.getDefaultToolkit().getImage(getClass().getResource("favicon.png")));
    }
}
